import React, { Component } from 'react';
 import { Button, StyleSheet, View, NativeModules, NativeEventEmitter } from 'react-native';

import RazorpayCheckout from 'react-native-razorpay';
import DefaultPreference from 'react-native-default-preference';


 export default class RazorPayComponent extends Component {
  constructor(props) {
    super(props);
    this.state = { amount: 0}
  }

  componentWillMount() {
    let currentComponent = this;
    DefaultPreference.get('amount').then(function(value) {{
      currentComponent.setState({ amount: value })
      {currentComponent.onPressButton()}
    }
    });
  }

  onPressButton()  {
   
    var price = this.state.amount;
    price = price * 100;

    var options = {
      description: 'ECommerce Shopping',
      image: 'https://i.imgur.com/3g7nmJC.png',
      currency: 'INR',
      key: 'rzp_test_EnYoyrPqrIyaYH',
      amount: price.toString(),
      external: {
        wallets: ['']
      },
      name: 'E-Shop',
      order: 'order_DslnoIgkIDL8Zt',
      prefill: {
        email: 'megha.neema@razorpay.com',
        contact: '9977145213',
        name: 'Test User'
      },
      theme: {color: '#F37254'}
    }
    RazorpayCheckout.open(options).then((data) => {
      // handle success
      alert(`Transaction Successful \n ${data.razorpay_payment_id}`);
      DefaultPreference.set('status', 'Approved').then(function() {console.log('done')});
      this.props.navigation.pop();
    }).catch((error) => {
      // handle failure
      alert(`Error: ${error.code} | ${error.description}`);
      DefaultPreference.set('status', 'Failed').then(function() {console.log('done')});
      this.props.navigation.pop();
    });
  }

  render() {

    return (
       
      <View style={styles.container}>
      <View style={styles.buttonContainer}>
      </View>
      </View>
      );
  }
}

const styles = StyleSheet.create({
  container: {
   flex: 1,
   justifyContent: 'center',
 },
 buttonContainer: {
  margin: 20
},
alternativeLayoutButtonContainer: {
  margin: 20,
  flexDirection: 'row',
  justifyContent: 'space-between'
}
});
